Class | Fog::Compute::AWS::Server
In: | lib/fog/aws/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

addresses console_output destroy flavor flavor= flavor_id key_pair key_pair= monitor= new private_key private_key_path public_key public_key_path ready? reboot save setup start stop username volumes

### Attributes

architecture | [RW] |
iam_instance_profile_arn | [W] |
iam_instance_profile_name | [W] |
instance_initiated_shutdown_behavior | [RW] |
password | [RW] |
private_key | [W] |
private_key_path | [W] |
public_key | [W] |
public_key_path | [W] |
username | [W] |

### Public Class methods

new(attributes={})

### Public Instance methods

addresses()
console_output()
destroy()
flavor()
flavor=(new_flavor)
flavor_id()
key_pair()
key_pair=(new_keypair)
monitor=(new_monitor)

I tried to call it monitoring= and be smart with attributes[] but in save a merge_attribute is called after run_instance thus making an un-necessary request. Use this until finding a clever solution

private_key()
private_key_path()
public_key()
public_key_path()
ready?()
reboot()
save()
setup(credentials = {})
start()
stop(force = false)
username()
volumes()

[Validate]